#include <Wire.h>

void setup() {
  pinMode(7, INPUT_PULLUP);     // назначаем pin 2 как вход с подтяжкой к +5В для кнопки
  pinMode(3, OUTPUT);           // назначаем pin 3 как выход для светодиода
  
  Wire.begin(8);                // задаём адрес ведомому устройству (#8)
  Wire.onReceive(receiveEvent); // регистрируем обработчик запроса на запись
  Wire.onRequest(requestEvent); // регистрируем обработчик запроса на чтение
  Serial.begin(9600);           // открытие com порта
}

void loop() {
  delay(100);
}

// получение данных от ведущего устройства
void receiveEvent() {
  int x = Wire.read();
  Serial.println(x);
  if (x == true){
    digitalWrite(3, HIGH);
  }
    if (x == false){
    digitalWrite(3, LOW);
  }
}

// отправка данных в ведущее устройство
void requestEvent() {
  // чтение состояния кнопки
  if (!digitalRead(7)){
    Wire.write(8);
  }
  if (digitalRead(7)){
    Wire.write(0);
  }
}
